QGIS Application - Bug report #19339

[Composer] the html label renderer ignores many styles e.g. font-size, letter-spacing, line-height,

text-indent, margin.
2018-07-05 06:25 AM - sand thorn

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.2

Operating System: Windows 10 64-bit v1803
Pull Request or Patch supplied:

Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: duplicate

Copied to github as #: 27167

Description

Step to reproduce :

1. Add a new Layout

2. Add a Label

3. Put below as its property

<style>

.htmlrender {

font-family: "Lucida Handwriting";
font-kerning: normal;

font-size: 600 pt;

font-variant: normal;

font-weight: bold;

letter-spacing: 10 em;

line-height: 1.42 cm;

text-indent: 5.0 cm;

text-overflow: ellipsis;
margin:5cm5cm5cm 5 cm;
/ltext-shadow: 0.5 mm 0.5 mm #808080;
}

</style>

<div class="htmlIrender">
Lorem ipsum<br/>
Lorem ipsum<br/>
Lorem ipsum<br/>
Lorem ipsum<br/>
Lorem ipsum<br/>
Lorem ipsum<br/>
</div>

4. Enable HTML Render

5. You will see that many CSS properties seem to be ignored
e.g. font-size, letter-spacing, line-height, text-indent, margin

version 2.18 : Composer has no problems.

this is a re-issue of #18993
History

#1 - 2018-07-05 09:43 AM - Nyall Dawson
- Resolution set to duplicate
- Status changed from Open to Closed

Duplicate of #18993

#2 - 2018-07-05 09:48 AM - sand thorn

Would you mind also change category of #18993 from Labelling to Map Composer/Printing

#3 - 2018-07-11 05:53 PM - Jiirgen Fischer
- Description updated
